{
	name: "Mirror Herb",
	spritenum: 748,
	fling: {
	  basePower: 30
	},
	onFoeAfterBoost(boost, target, source, effect) {
	  if (effect?.name === "Opportunist" || effect?.name === "Mirror Herb")
	    return;
	  const boostPlus = {};
	  let statsRaised = false;
	  let i;
	  for (i in boost) {
	    if (boost[i] > 0) {
	      boostPlus[i] = boost[i];
	      statsRaised = true;
	    }
	  }
	  if (!statsRaised)
	    return;
	  const pokemon = this.effectState.target;
	  pokemon.useItem();
	  this.boost(boostPlus, pokemon);
	},
	num: 1883,
	gen: 9
}